Pedidos
Listar pedidos
Liste seus pedidos com paginação e filtros
GET
/
api
/
v1
/
orders
Listar pedidos
curl --request GET \
--url https://api.example.com/api/v1/ordersimport requests
url = "https://api.example.com/api/v1/orders"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Listar pedidos
Retorna uma lista paginada dos seus pedidos, os mais recentes primeiro.Parâmetros de consulta
number
Número da página (padrão 1)
number
Resultados por página (padrão 50, máximo 100)
string
Filtrar por status (ex.:
filled, pending, failed)string
Filtrar por tipo de pedido —
energy ou bandwidthResposta
Retornaorders (array de objetos de pedido), total, page e page_size.
Exemplo
curl "https://api.tronrental.com/v1/orders?type=energy&status=filled&page=1" \
-H "X-API-Key: your_api_key"
Response
{
"orders": [
{
"id": 12345,
"type": "energy",
"target_address": "TRecipientAddress...",
"volume": 65000,
"duration": "1h",
"price_trx": "1.79",
"status": "filled",
"delegate_txid": "a1b2c3d4e5f6...",
"undelegate_txid": null,
"reclaim_at": null,
"source": "api",
"created_at": "2026-06-10T04:30:00Z"
}
],
"total": 42,
"page": 1,
"page_size": 50
}
⌘I
Listar pedidos
